# Generated from cabal-api-0.2.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cabal-api

Name: rubygem-%{gem_name}
Version: 0.2.4
Release: 1%{?dist}
Summary: A Grape API for creating and distributing SSH keys
License: MIT
URL: http://github.com/engineyard/cabal-api
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(cucumber) >= 2.1
# BuildRequires: rubygem(cucumber) < 3
# BuildRequires: rubygem(rack-test) >= 0.6
# BuildRequires: rubygem(rack-test) < 1
# BuildRequires: rubygem(rspec) >= 3.3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(factis) >= 1.0
# BuildRequires: rubygem(factis) < 2
# BuildRequires: rubygem(simplecov) >= 0.10
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(yard) >= 0.8.7
# BuildRequires: rubygem(yard) < 0.9
BuildArch: noarch

%description
A Grape API for creating and distributing SSH keys.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Dockerfile
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cabal-api.gemspec
%doc %{gem_instdir}/docker-compose.yml

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.4-1
- Initial package
